Delete Catalog
curl --request DELETE \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs/{catalogId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs/{catalogId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs/{catalogId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Data -- Catalogs
Delete Catalog
Permanently removes the specified catalog from the project. This disconnects the underlying data source and makes all its schemas and tables unavailable for querying. This action is irreversible.
DELETE
/
data
/
projects
/
{projectId}
/
catalogs
/
{catalogId}
Delete Catalog


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Response
200
Catalog deleted successfully
⌘I